Bug 1534636 - SELinux prevents rkt from binding to TCP port 18112
Summary: SELinux prevents rkt from binding to TCP port 18112
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 27
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-15 16:11 UTC by Milos Malik
Modified: 2018-02-06 15:30 UTC (History)
5 users (show)

Fixed In Version: selinux-policy-3.13.1-283.24.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-06 15:30:50 UTC


Attachments (Terms of Use)

Description Milos Malik 2018-01-15 16:11:18 UTC
Description of problem:

Version-Release number of selected component (if applicable):
rkt-1.25.0-3.gitd2d35e0.fc27.x86_64
selinux-policy-3.13.1-283.16.fc27.noarch
selinux-policy-targeted-3.13.1-283.16.fc27.noarch

How reproducible:
* always

Steps to Reproduce:
1. get a Fedora27 machine (targeted policy is active)
2. start the rkt-metadata service
3. search for SELinux denials

Actual results (enforcing mode):
----
type=AVC msg=audit(01/15/2018 11:00:25.956:436) : avc:  denied  { name_bind } for  pid=21731 comm=rkt src=18112 scontext=system_u:system_r:rkt_t:s0 tcontext=system_u:object_r:rkt_port_t:s0 tclass=tcp_socket permissive=0 
----

Expected results:
* no SELinux denials

Additional info:

Comment 1 Milos Malik 2018-01-15 16:39:28 UTC
The same SELinux denial appears in permissive mode, nothing else.

Comment 2 Fedora Update System 2018-01-30 16:40:10 UTC
selinux-policy-3.13.1-283.24.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-a144eca5a8

Comment 3 Fedora Update System 2018-01-31 22:44:22 UTC
selinux-policy-3.13.1-283.24.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-a144eca5a8

Comment 4 Fedora Update System 2018-02-06 15:30:50 UTC
selinux-policy-3.13.1-283.24.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.